//
//  DataModel.swift
//  KdanAuto
//
//  Created by 朱东勇 on 2022/11/21.
//

import Foundation

var kLoadOriginDirectoryPathKey : String   = "kLoadOriginDirectoryPathKey";
var kLoadResultDirectoryPathKey : String    = "kLoadResultDirectoryPathKey";
var kLoadCheckDirectoryPathKey : String    = "kLoadCheckDirectoryPathKey";
    
class DataModel : NSObject {
    static var shared : DataModel = DataModel()
    
    var _originPath : String = ""
    var _checkPath : String = ""
    var _resultPath : String = ""
    
    /// Setter & Getter
    
    public func setOriginPath(_ path:String) {
        let userDefaults = UserDefaults.standard
        userDefaults.setValue(path, forKey: kLoadOriginDirectoryPathKey)
        userDefaults.synchronize()
    }
    
    public func originPath() -> String {
        return UserDefaults.standard.value(forKey: kLoadOriginDirectoryPathKey) as! String
    }
    
    public func setResultPath(_ path:String) {
        let userDefaults = UserDefaults.standard
        userDefaults.setValue(path, forKey: kLoadResultDirectoryPathKey)
        userDefaults.synchronize()
    }
    
    public func resultPath() -> String {
        return UserDefaults.standard.value(forKey: kLoadResultDirectoryPathKey) as! String
    }
    
    public func setCheckPath(_ path:String) {
        let userDefaults = UserDefaults.standard
        userDefaults.setValue(path, forKey: kLoadCheckDirectoryPathKey)
        userDefaults.synchronize()
    }
    
    public func checkPath() -> String {
        return UserDefaults.standard.value(forKey: kLoadCheckDirectoryPathKey) as! String
    }
    
    
    /// Save Data
    
}
